# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`local_security_policy`](#local_security_policy): Configure local security policy for Windows servers.

**Resource types**

* [`local_security_policy`](#local_security_policy): Puppet type that models the local security policy

## Classes

### local_security_policy

This class can be used to specify `local_security_policy` resources in Hiera.  For example,
```yaml
local_security_policy::policies:
  'Audit account logon events':
    ensure: 'present'
    policy_setting: 'AuditAccountLogon'
    policy_type: 'Event Audit'
    policy_value: 'Success,Failure'
```

#### Examples

##### 

```puppet
include local_security_policy
```

#### Parameters

The following parameters are available in the `local_security_policy` class.

##### `policies`

Data type: `Hash`

Hash of `local_security_policy` resources

Default value: {}

## Resource types

### local_security_policy

Puppet type that models the local security policy

#### Properties

The following properties are available in the `local_security_policy` type.

##### `ensure`

Valid values: present, absent

The basic property that the resource should be in.

Default value: present

##### `policy_type`

Valid values: System Access, Event Audit, Privilege Rights, Registry Values, nil, ''

Local Security Policy Type. Section of the config INF the setting is in.

##### `policy_setting`

Local Security Policy Machine Name.  What OS knows it by.

##### `policy_value`

Local Security Policy Setting Value

#### Parameters

The following parameters are available in the `local_security_policy` type.

##### `name`

namevar

Local Security Setting Name. What you see it the GUI.

